Subject: Re: git-p4: commits are visible in history after 'git p4 clone', but not a single file present

From: Luke Diamand <[email-masked]>
Date: Wed, 13 Jun 2012 19:00:07 +0100

On 13/06/12 13:56, Ilya Dogolazky wrote:
> Hi !
>
> 06/13/2012 09:58 AM, Ilya Dogolazky написал:
>> $ P4CLIENT=xexe1 git p4 submit
>> Error: Cannot locate perforce checkout of //xxx/yyy/ in client view
>
> After some playing around with git-p4 script and adding debugging
> printing I realized, that the solution is to do
>
> $ P4CLIENT=xexe1 git p4 clone //xxx/yyy/zzz@all ~/xexe1
> instead of just
> $ P4CLIENT=xexe1 git p4 clone //xxx/yyy@all ~/xexe1
>
> After that "git-p4 submit" started to work.
>
> I still don't understand p4 enough in order to know why it's happening,
> but now at least I can clone+change+rebase+submit files into the
> perforce repository with git-p4, which is great.
>
> Luke, Pete: thanks a lot for your help and patience!

So - what is a p4 stream? I found some blurb on the Perforce website but 
I was none the wiser after reading it.

Thanks!
Luke